package com.fjhx.mes.service.mold;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.mold.dto.MoldInfoDto;
import com.fjhx.mes.entity.mold.dto.MoldInfoSelectDto;
import com.fjhx.mes.entity.mold.po.MoldInfo;
import com.fjhx.mes.entity.mold.vo.MoldInfoVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 模具信息 服务类
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
public interface MoldInfoService extends BaseService<MoldInfo> {

    /**
     * 模具信息分页
     */
    Page<MoldInfoVo> getPage(MoldInfoSelectDto dto);

    /**
     * 模具信息明细
     */
    MoldInfoVo detail(Long id);

    /**
     * 模具信息新增
     */
    void add(MoldInfoDto moldInfoDto);

    /**
     * 模具信息编辑
     */
    void edit(MoldInfoDto moldInfoDto);

    /**
     * 模具信息删除
     */
    void delete(Long id);

}
